# Serialized Form

## Package org.apache.trevni

### Class org.apache.trevni.ColumnFileMetaData extends MetaData<ColumnFileMetaData> implements Serializable

### Class org.apache.trevni.ColumnMetaData extends MetaData<ColumnMetaData> implements Serializable

### Serialized Fields

#### name

    String name

#### type

    ValueType type

#### values

    boolean values

#### parent

    ColumnMetaData parent

#### isArray

    boolean isArray

### Class org.apache.trevni.MetaData extends LinkedHashMap<String,byte[]> implements Serializable

### Serialized Fields

#### defaults

    MetaData<T extends MetaData> defaults

### Class org.apache.trevni.TrevniRuntimeException extends RuntimeException implements Serializable